Bug 970951 - Should not print "control action not implemented" when git push for php application
Should not print "control action not implemented" when git push for php appli...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 05:59 EDT by Wei Sun
Modified: 2015-05-14 19:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:15:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-06-05 05:59:11 EDT
Description of problem:
When git push php application,it will print some unfriendly messages,like
remote: CLIENT_MESSAGE: `pre-repo-archive' control action not implemented
remote: CLIENT_MESSAGE: `update-configuration' control action not implemented
remote: CLIENT_MESSAGE: `pre-build' control action not implemented
remote: CLIENT_MESSAGE: Starting Apache+mod_php HTTPD server
remote: CLIENT_MESSAGE: `post-deploy' control action not implemented
should not print these messages.

Version-Release number of selected component (if applicable):
devenv_3321

How reproducible:
Always

Steps to Reproduce:
1.Create a php app
2.Change something and git push
3.

Actual results:
remote: CLIENT_MESSAGE: Stopping Apache+mod_php HTTPD server
remote: Waiting for stop to finish
remote: CLIENT_MESSAGE: `pre-repo-archive' control action not implemented
remote: CLIENT_MESSAGE: `update-configuration' control action not implemented
remote: CLIENT_MESSAGE: `pre-build' control action not implemented
remote: TEST ONLY
remote: CLIENT_MESSAGE: Starting Apache+mod_php HTTPD server
remote: CLIENT_MESSAGE: `post-deploy' control action not implemented

Expected results:
Should not print "control action not implemented" messages

Additional info:
Comment 1 Vojtech Vitek 2013-06-05 11:08:06 EDT
@wsun @jhonce

Would you be OK with
> remote: CLIENT_MESSAGE: `pre-repo-archive' nothing to do
messages?

Or do you want me to clear the output (print nothing) in such cases?
Comment 2 Jhon Honce 2013-06-05 14:22:01 EDT
If you do not implement the action you should just return 0, no message or logging should be done.
Comment 3 Dan Mace 2013-06-07 13:02:26 EDT
Already patched in master and prod, but will require a v2=>v2 migration for existing apps:

https://github.com/openshift/origin-server/pull/2773
https://github.com/openshift/origin-server/pull/2789
Comment 4 Wei Sun 2013-06-18 11:24:26 EDT
Check this bug on INT(devenv_3373),seems it was fixed.We will verify this bug after it is ON_QA.

Result:
[sunwei@dhcp-8-229 phpt]$ gitpush
[master 12647fe] test

Counting objects: 5, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (3/3), done.
Writing objects: 100% (3/3), 275 bytes, done.
Total 3 (delta 2), reused 0 (delta 0)
remote: CLIENT_MESSAGE: Stopping Apache+mod_php HTTPD server
remote: Waiting for stop to finish
remote: CLIENT_MESSAGE: Starting Apache+mod_php HTTPD server
To ssh://51c079916cec0e2353000ab2@phpt-wsun3int.int.rhcloud.com/~/git/phpt.git/
   24e6382..12647fe  master -> master
Comment 5 Vojtech Vitek 2013-06-18 19:29:36 EDT
We're still waiting on v2->v2 migration to finish.
Comment 6 Jianwei Hou 2013-06-20 03:12:35 EDT
V2 migration has been executed on INT, and the git push output is cleaner now.

Total 5 (delta 4), reused 0 (delta 0)
remote: CLIENT_MESSAGE: Stopping Apache+mod_php HTTPD server
remote: Waiting for stop to finish
remote: [Thu Jun 20 02:55:52 2013] [warn] module php5_module is already loaded, skipping
remote: Waiting for stop to finish
remote: [Thu Jun 20 02:56:22 2013] [warn] module php5_module is already loaded, skipping
remote: 
remote: Database schema not yet added, WordPress is ready for install by visiting the site.
remote: CLIENT_MESSAGE: Starting Apache+mod_php HTTPD server
To ssh://51be83d16cec0e07f0000bf6@wordpress-jhou.int.rhcloud.com/~/git/wordpress.git/
   cc8e9e2..4e9ec73  master -> master
Comment 7 Xiaoli Tian 2013-07-09 01:50:35 EDT
(In reply to Vojtech Vitek from comment #5)

Hi, Vojtech
Are there any more changes coming for this bug? if not, please help to move it to ON_QA.

Thanks
Comment 8 Dan Mace 2013-07-09 09:07:27 EDT
I already patched this; moving to ON_QA. Thanks!
Comment 9 Wei Sun 2013-07-09 21:44:20 EDT
According to #Comment 4 and #Comment 6,move this bug to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.